StepAction [tekton.dev/v1]
- Description
- StepAction represents the actionable components of Step. The Step can only reference it from the cluster or using remote resolution.
- Type
object
Specification
.spec
- Description
- Spec holds the desired state of the Step from the client
- Type
object
.spec.args
- Description
- Arguments to the entrypoint. The image's CMD is used if this is not provided. Variable references $(VAR_NAME) are expanded using the container's environment. If a variable cannot be resolved, the reference in the input string will be unchanged. Double $$ are reduced to a single $, which allows for escaping the $(VAR_NAME) syntax: i.e. "$$(VAR_NAME)" will produce the string literal "$(VAR_NAME)". Escaped references will never be expanded, regardless of whether the variable exists or not. Cannot be updated. More info: https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/#running-a-command-in-a-shell
- Type
array
.spec.args[]
- Type
string
.spec.command
- Description
- Entrypoint array. Not executed within a shell. The image's ENTRYPOINT is used if this is not provided. Variable references $(VAR_NAME) are expanded using the container's environment. If a variable cannot be resolved, the reference in the input string will be unchanged. Double $$ are reduced to a single $, which allows for escaping the $(VAR_NAME) syntax: i.e. "$$(VAR_NAME)" will produce the string literal "$(VAR_NAME)". Escaped references will never be expanded, regardless of whether the variable exists or not. Cannot be updated. More info: https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/#running-a-command-in-a-shell
- Type
array
.spec.command[]
- Type
string
.spec.env
- Description
- List of environment variables to set in the container. Cannot be updated.
- Type
array
.spec.env[]
- Description
- EnvVar represents an environment variable present in a Container.
- Type
object- Required
name
.spec.env[].valueFrom
- Description
- Source for the environment variable's value. Cannot be used if value is not empty.
- Type
object
.spec.env[].valueFrom.configMapKeyRef
- Description
- Selects a key of a ConfigMap.
- Type
object- Required
key
.spec.env[].valueFrom.fieldRef
- Description
- Selects a field of the pod: supports metadata.name, metadata.namespace, `metadata.labels['<KEY>']`, `metadata.annotations['<KEY>']`, spec.nodeName, spec.serviceAccountName, status.hostIP, status.podIP, status.podIPs.
- Type
object- Required
fieldPath
.spec.env[].valueFrom.resourceFieldRef
- Description
- Selects a resource of the container: only resources limits and requests (limits.cpu, limits.memory, limits.ephemeral-storage, requests.cpu, requests.memory and requests.ephemeral-storage) are currently supported.
- Type
object- Required
resource
.spec.env[].valueFrom.secretKeyRef
- Description
- Selects a key of a secret in the pod's namespace
- Type
object- Required
key
.spec.params
- Description
- Params is a list of input parameters required to run the stepAction. Params must be supplied as inputs in Steps unless they declare a defaultvalue.
- Type
array
.spec.params[]
- Description
- ParamSpec defines arbitrary parameters needed beyond typed inputs (such as resources). Parameter values are provided by users as inputs on a TaskRun or PipelineRun.
- Type
object- Required
name
.spec.params[].default
- Description
- Default is the value a parameter takes if no input value is supplied. If default is set, a Task may be executed without a supplied value for the parameter.
- Type
object
.spec.params[].default.arrayVal
- Type
array
.spec.params[].default.arrayVal[]
- Type
string
.spec.params[].default.objectVal
- Type
object
.spec.params[].enum
- Description
- Enum declares a set of allowed param input values for tasks/pipelines that can be validated. If Enum is not set, no input validation is performed for the param.
- Type
array
.spec.params[].enum[]
- Type
string
.spec.params[].properties
- Description
- Properties is the JSON Schema properties to support key-value pairs parameter.
- Type
object
.spec.results
- Description
- Results are values that this StepAction can output
- Type
array
.spec.results[]
- Description
- StepResult used to describe the Results of a Step. This is field is at an BETA stability level and gated by "enable-step-actions" feature flag.
- Type
object- Required
name
.spec.results[].properties
- Description
- Properties is the JSON Schema properties to support key-value pairs results.
- Type
object
.spec.securityContext
- Description
- SecurityContext defines the security options the Step should be run with. If set, the fields of SecurityContext override the equivalent fields of PodSecurityContext. More info: https://kubernetes.io/docs/tasks/configure-pod-container/security-context/ The value set in StepAction will take precedence over the value from Task.
- Type
object
.spec.securityContext.capabilities
- Description
- The capabilities to add/drop when running containers. Defaults to the default set of capabilities granted by the container runtime. Note that this field cannot be set when spec.os.name is windows.
- Type
object
.spec.securityContext.capabilities.add
- Description
- Added capabilities
- Type
array
.spec.securityContext.capabilities.add[]
- Description
- Capability represent POSIX capabilities type
- Type
string
.spec.securityContext.capabilities.drop
- Description
- Removed capabilities
- Type
array
.spec.securityContext.capabilities.drop[]
- Description
- Capability represent POSIX capabilities type
- Type
string
.spec.securityContext.seLinuxOptions
- Description
- The SELinux context to be applied to the container. If unspecified, the container runtime will allocate a random SELinux context for each container. May also be set in PodSecurityContext. If set in both SecurityContext and PodSecurityContext, the value specified in SecurityContext takes precedence. Note that this field cannot be set when spec.os.name is windows.
- Type
object
.spec.securityContext.seccompProfile
- Description
- The seccomp options to use by this container. If seccomp options are provided at both the pod & container level, the container options override the pod options. Note that this field cannot be set when spec.os.name is windows.
- Type
object- Required
type
.spec.securityContext.windowsOptions
- Description
- The Windows specific settings applied to all containers. If unspecified, the options from the PodSecurityContext will be used. If set in both SecurityContext and PodSecurityContext, the value specified in SecurityContext takes precedence. Note that this field cannot be set when spec.os.name is linux.
- Type
object
.spec.volumeMounts
- Description
- Volumes to mount into the Step's filesystem. Cannot be updated.
- Type
array
.spec.volumeMounts[]
- Description
- VolumeMount describes a mounting of a Volume within a container.
- Type
object- Required
mountPathname
API Endpoints
The following API endpoints are available:
/apis/tekton.dev/v1alpha1/namespaces/{namespace}/stepactionsDELETE: delete collection of StepActionGET: list objects of kind StepActionPOST: create a new StepAction
/apis/tekton.dev/v1alpha1/namespaces/{namespace}/stepactions/{name}DELETE: delete the specified StepActionGET: read the specified StepActionPATCH: partially update the specified StepActionPUT: replace the specified StepAction
/apis/tekton.dev/v1alpha1/namespaces/{namespace}/stepactions
- HTTP method
DELETE- Description
- delete collection of StepAction
- HTTP responses
- HTTP method
GET- Description
- list objects of kind StepAction
- HTTP responses
- HTTP method
POST- Description
- create a new StepAction
- Query parameters
- Body parameters
- HTTP responses
/apis/tekton.dev/v1alpha1/namespaces/{namespace}/stepactions/{name}
- HTTP method
DELETE- Description
- delete the specified StepAction
- Query parameters
- HTTP responses
- HTTP method
GET- Description
- read the specified StepAction
- HTTP responses
- HTTP method
PATCH- Description
- partially update the specified StepAction
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace the specified StepAction
- Query parameters
- Body parameters
- HTTP responses